Name:		bijiben
Version:	3.10.2
Release:	1%{?dist}
Summary:	Simple Note Viewer

# Bijiben is GPLv3+ apart a few files "LGPLv2 or LGPLv3"
# And ligd is LGPLv2+
License:	GPLv3+ and LGPLv3 and LGPLv2+
Url:		http://www.gnome.org
Source0:	http://ftp.gnome.org/pub/GNOME/sources/%{name}/3.10/%{name}-%{version}.tar.xz



BuildRequires:	clutter-gtk-devel >=  1.4.2
BuildRequires:	desktop-file-utils
BuildRequires:	intltool
BuildRequires:	itstool
BuildRequires:	gettext
BuildRequires:	glib2-devel >= 2.28.0
BuildRequires:	gnome-online-accounts-devel >= 3.9.2
BuildRequires:	gtk3-devel >= 3.9.2
BuildRequires:	libuuid-devel
BuildRequires:	libxml2-devel
BuildRequires:	tracker-devel => 0.15.2
BuildRequires:	vala
BuildRequires:	webkitgtk3-devel >= 1.11.91
BuildRequires:	yelp-tools
BuildRequires:	zeitgeist-devel >= 0.9.14


# libgd is not meant to be installed as a system-wide shared library.
# It is just a way for GNOME applications to share widgets and other common
# code on an ad-hoc basis.
Provides: bundled(libgd)




%description
Simple note editor which emphasis on visuals : quickly write
notes, quickly find it back.


%prep
%setup -q

%build
%configure \
	--disable-static --disable-update-mimedb
make %{?_smp_mflags}


%install
make install DESTDIR=%{buildroot} INSTALL="/usr/bin/install -p"

# Validates the .desktop
desktop-file-validate %{buildroot}%{_datadir}/applications/%{name}.desktop

# Creates the file for all locales
%find_lang %{name} --with-gnome

%post
/usr/bin/update-desktop-database &> /dev/null || :
/bin/touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :

%{_bindir}/update-mime-database %{_datadir}/mime &> /dev/null

%postun
/usr/bin/update-desktop-database &> /dev/null || :
if [ $1 -eq 0 ] ; then
    /usr/bin/glib-compile-schemas %{_datadir}/glib-2.0/schemas &> /dev/null || :
    /bin/touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    /usr/bin/gtk-update-icon-cache -f %{_datadir}/icons/hicolor &>/dev/null || :
fi

%posttrans
/usr/bin/glib-compile-schemas %{_datadir}/glib-2.0/schemas &> /dev/null || :
/usr/bin/gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :

%files -f %{name}.lang
%doc AUTHORS COPYING ChangeLog NEWS README
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/glib-2.0/schemas/org.gnome.bijiben.gschema.xml
# co-own these directories
%dir %{_datadir}/gnome-shell
%dir %{_datadir}/gnome-shell/search-providers

%{_datadir}/appdata/%{name}.appdata.xml
%{_datadir}/gnome-shell/search-providers/bijiben-search-provider.ini
%{_datadir}/icons/hicolor/*/apps/%{name}.png
%{_datadir}/icons/HighContrast/scalable/apps/%{name}.svg
%{_datadir}/mime/packages/%{name}.xml
%{_datadir}/%{name}

%{_libexecdir}/%{name}-shell-search-provider
%{_datadir}/dbus-1/services/org.gnome.Bijiben.SearchProvider.service

%changelog
* Sat Dec 21 2013 Pierre-Yves Luyten <py@luyten.fr> - 3.10.2-1
- Upgrade to 3.10.2

* Mon Oct 14 2013 Pierre-Yves Luyten <py@luyten.fr> - 3.10.1-1
- Upgrade to 3.10.1
    Fix Tomboy / Gnote import

* Mon Sep 23 2013 Pierre-Yves Luyten <py@luyten.fr> - 3.10.0-1
- Upgrade to 3.10.0

* Mon Sep 02 2013 Pierre-Yves Luyten <py@luyten.fr> - 3.9.92-1
- Upgrade to 3.9.92

* Mon Sep 02 2013 Pierre-Yves Luyten <py@luyten.fr> - 3.9.91-1
- Upgrade to 3.9.91
    Ship appdata
    Update documentation
    Update about dialog
    Use native close button
    Do not abort when traker connection fails

* Tue Aug 20 2013 Pierre-Yves Luyten <py@luyten.fr> - 3.9.90-1
- Upgrade to 3.9.90
    Add a default provider setting
    Update the selection toolbar

* Fri Aug 09 2013 Kalev Lember <kalevlember@gmail.com> - 3.9.5-2
- Rebuilt for cogl 1.15.4 soname bump

* Fri Aug 02 2013 Pierre-Yves Luyten <py@luyten.fr> - 3.9.5-1
- Upgrade to 3.9.5
    Improve Zeitgeist integration
    Fix a crash when immediately closing a note

* Sun Jul 14 2013 Pierre-Yves Luyten <py@luyten.fr> - 3.9.4-1
- Upgrade to 3.9.4
    Rename Notes
    Ship a High Contrast Icon
    Use zeitgeist-2.0
    Use title as a window decoration

* Wed Jun 19 2013 Pierre-Yves Luyten <py@luyten.fr> - 3.9.3-1
- Upgrade to 3.9.3

* Thu May 30 2013 Pierre-Yves Luyten <py@luyten.fr> - 3.9.2-1
- Upgrade to 3.9.2

* Sat May 11 2013 Pierre-Yves Luyten <py@luyten.fr> - 3.9.1-1
- Upgrade to 3.9.1

* Thu May 09 2013 Pierre-Yves Luyten <py@luyten.fr> - 3.8.1-2
- Remove news duplicate, obsolete autoreconf and libgd.la exclude

* Thu Apr 18 2013 Pierre-Yves Luyten <py@luyten.fr> - 3.8.1-1
- New release

* Wed Mar 27 2013 Pierre-Yves Luyten <py@luyten.fr> - 3.8.0-1
- New release

* Mon Mar 18 2013 Pierre-Yves Luyten <py@luyten.fr> - 3.7.92-1
- New release

* Fri Mar 15 2013 Pierre-Yves Luyten <py@luyten.fr> - 3.7.91-3
- Fix icon update (timestamp) in post
- BuildRequire desktop-file-utils

* Wed Mar 13 2013 Pierre-Yves Luyten <py@luyten.fr> - 3.7.91-2
- Patch to get rid of GPLv2+
- Patch to use static link to libgd
- Use find_lang
- Remove define for url_ver
- desktop-file-validate
- update timestamp for icons
- BuildRequire gettext
- BuildRequire yelp-tools
- Provides bundled libgd
- Don't "clean"

* Sun Mar 10 2013 Pierre-Yves Luyten <py@luyten.fr> - 3.7.91-1
- Fix BuildRequires
- Update desktop database
- Add it

* Sun Feb 17 2013 Pierre-Yves Luyten <py@luyten.fr> - 3.7.90-1
- Bump release

* Sat Feb 02 2013 Pierre-Yves Luyten <py@luyten.fr> - 3.7.5-1
- Add cs.

* Mon Jan 14 2013 Pierre-Yves Luyten <py@luyten.fr> - 3.7.4-1
- Add ca pt zh. Remove upstreamed patch.

* Mon Dec 17 2012 Pierre-Yves Luyten <py@luyten.fr> - 3.7.3-1
- Initial package
